using Install.Core;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Install.View
{
    /// <summary>
    /// Pg1st.xaml 的交互逻辑
    /// </summary>
    public partial class Pg1st : Page
    {
        InstallWizard installWizard;
        public Pg1st()
        {
            InitializeComponent();
        }
        public void Init() 
        {
            installWizard = App.Resolve<InstallWizard>();

            this.DataContext = installWizard;
        }
        private void btNextClick(object sender, RoutedEventArgs e)
        {
            if (installWizard.HasInstalled.Count() == 0)
            {
                //没有任何软件被安装
                PgInstall p = new PgInstall();
                p.Init();
                this.NavigationService.Navigate(p);
            }
            else 
            {
                PgUpdate p = new PgUpdate();
                p.Init();
                this.NavigationService.Navigate(p);
            }
        }
    }
}
